HW-PROBE(1)

NAME
hw-probe - Hardware probe and system info collection tool

DESCRIPTION

  NAME:

    Hardware Probe (hw-probe) A tool to probe for hardware, check operability and find drivers

  DESCRIPTION:

    Hardware Probe (hw-probe) is a tool to probe for hardware, check its operability and upload result to the BSD hardware database.

    By creating probes you contribute to the "HDD/SSD Desktop-Class Reliability Test" study: https://github.com/linuxhw/SMART

  USAGE:

    hw-probe [options]

  EXAMPLE:

    hw-probe -all -upload

  PRIVACY:

    Private information (including the username, machine's hostname, IP addresses, MAC addresses, UUIDs and serial numbers) is NOT uploaded to the database.

    The tool uploads 32-byte prefix of salted SHA512 hash of MAC addresses and serial numbers to properly identify unique computers and hard drives. UUIDs are decorated in the same way, but formatted like regular UUIDs in order to save readability of logs. All the data is uploaded securely via HTTPS.

  INFORMATION OPTIONS:

-h|-help

    Print this help.

-v|-version

    Print version info.

-dumpversion

    Print the tool version (1.6) and don't do anything else.

  GENERAL OPTIONS:

-all

    Probe for hardware.

-log-level N

    Set the logging level to N. Available values:

    - minimal - default - maximal

-minimal|-min

    Collect minimal number of logs. Equal to --log-level=min.

-maximal|-max

    Collect maximal number of logs. Equal to --log-level=max.

-enable LIST

    Comma separated list of logs to enable in addition to current log level.

-disable LIST

    Comma separated list of logs to disable in current log level. Some logs cannot be disabled. For example, you can disable collecting of 'fstab', but you cannot disable logging of 'smartctl'.

-check

    Check devices operability. Test performance of CPU, memory, graphics cards and drives.

-check-extended

    Perform extended check.

-upload

    Upload result to the hardware database. You will get a permanent URL to view the probe.

    By use of this option you confirm uploading of 32-byte prefix of salted SHA512 hash of MAC addresses and serial numbers to prevent duplication of computers in the DB.

-hwinfo-path PATH

    Path to a local hwinfo binary.

-proxy ADDRESS:PORT

    Set outgoing http/https proxy using syntax: proxy.domain.local:3128

  INVENTORY OPTIONS:

-i|-inventory-id ID

    Mark the probe by inventory ID.

-generate-inventory-id

    Generate new inventory ID.

-email ADDR

    Email for node status notifications.

  MONITORING OPTIONS:

-start

    Start monitoring of the node.

-stop

    Stop monitoring of the node.

-remind-inventory

    Remind node inventory ID.

  OTHER OPTIONS:

-save DIR

    Save probe package to DIR. This is useful if you are offline and need to upload a probe later (with the help of -src option).

-src|-source PATH

    A probe to upload.

-fix PATH

    Update list of devices and host info in the probe using probe data.

-show-devices

    Show devices list.

-show

    Show host info and devices list.

-show-host

    Show host info only.

-verbose

    Use with -show option to show type and status of the device.

-printers

    Probe for printers.

-scanners

    Probe for scanners.

-id|-name DESC

    Any description of the probe.

-pci-ids
    PATH

-usb-ids
    PATH

-sdio-ids PATH

-pnp-ids
    PATH

    Path to {pci,usb,sdio,pnp}.ids file to read missed device names.

-list

    List executed probes (for debugging).

-clean

    Do nothing. Obsolete option.

-save-uploaded

    Save uploaded probes.

-debug|-d

    Do nothing. Obsolete option.

-dump-acpi

    Probe for ACPI table.

-decode-acpi

    Decode ACPI table.

-import DIR

    Import probes from the database to DIR for offline use.

    If you are using Snap or Flatpak package, then DIR will be created in the sandbox data directory.

    Provide inventory ID by -i option in order to import your inventory.

  DATA LOCATION:

    Probes info is saved in the /root/HW_PROBE directory.

A tool to probe for hardware, check operability and find drivers License: LGPL-2.1-or-later OR BSD-4-Clause

Usage: hw-probe [options] Example: hw-probe -all -upload

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system (but may be used by others).